From dd4ecb9a7d47793d4fa5a396493fe80f7f4aacd3 Mon Sep 17 00:00:00 2001
From: Peter Geoghegan <pg@bowt.ie>
Date: Fri, 2 Aug 2019 10:25:02 -0700
Subject: [PATCH v2] unused_oids suggestion

---
 src/include/catalog/unused_oids | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/src/include/catalog/unused_oids b/src/include/catalog/unused_oids
index e3fcd913e8..044ad12bb2 100755
--- a/src/include/catalog/unused_oids
+++ b/src/include/catalog/unused_oids
@@ -53,3 +53,13 @@ foreach my $oid (sort { $a <=> $b } @{$oids})
 	}
 	$prev_oid = $oid;
 }
+
+my $suggestion;
+do
+{
+	$suggestion = int(8000 + rand(2000));
+} while (grep(/^$suggestion$/, @{$oids}));
+
+printf "Patches should use a more-or-less consecutive range of OIDs.\n";
+printf "Best practice is to make a random choice in the range 8000-9999.\n";
+printf "Suggested random unused OID: $suggestion\n";
-- 
2.17.1

